package com.glxp.api.admin.service.basic;

import com.glxp.api.admin.entity.basic.UdiInfoEntity;
import com.glxp.api.admin.entity.basic.UdiRelevanceEntity;
import com.glxp.api.admin.req.basic.FilterUdiInfoRequest;
import com.glxp.api.admin.res.basic.UdiRelevanceResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UdiRelevanceService {

    List<UdiRelevanceResponse> filterUdiRelevance(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceResponse> filterUdiGp(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceEntity> selectByUuid(String uuid);

    UdiRelevanceEntity selectById( String id);
    UdiRelevanceEntity selectByThirdId(String thirdId);

    boolean insertUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean updateUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean deleteById(String id);

    boolean deleteByIds(List<String> id);

    boolean deleteByUuid(String uuid);

}
